idevicebtlogger(1)

NAME
idevicebtlogger - Capture HCI traffic of a connected device.

SYNOPSIS
idevicebtlogger [OPTIONS] <FILE>

DESCRIPTION
Capture HCI traffic of a connected device. Requires Bluetooth logging profile to be installed on device with iOS 13 or higher. See https://www.bluetooth.com/blog/a-new-way-to-debug-iosbluetooth-applications/ for iOS device configuration. The HCI traffic can be stored in Apple's native PacketLogger format or converted into PCAP format for live feedback in Wireshark.

OPTIONS

-u, --udid UDID
    target specific device by UDID

-n, --network
    connect to network device

-f, --format FORMAT
    set log format: PacketLogger (default), or pcap

-x, --exit
    exit when device disconnects

-d, --debug
    enable communication debugging

-h, --help
    prints usage information

-v, --version
    prints version information.

EXAMPLES

idevicebtlogger -u 00008030-0000111ABC000DEF
    Capture HCI traffic of device with UDID 00008030-0000111ABC000DEF.

idevicebtlogger -x
    Capture HCI traffic of device and exit when the device is unplugged.

idevicebtlogger -f pcap
    Capture HCI traffic of device in PCAP format.

idevicebtlogger -f pcap - | wireshark -k -i -
    Capture HCI traffic and pipe it into Wireshark for live feedback.

AUTHORS
Geoffrey Kruse Matthias Ringwald

ON THE WEB
https://libimobiledevice.org https://github.com/libimobiledevice/libimobiledevice